@import url("https://fonts.googleapis.com/css2?family=Nunito:wght@300;400;500;600;700;800&family=Tilt+Neon&display=swap");

@property --gradient-angle {
  syntax: "<angle>";
  initial-value: 0deg;
  inherits: false;
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: "Nunito", sans-serif;
}

html {
  scroll-behavior: smooth;
}

img {
  width: 100%;
  pointer-events: none;
  user-select: none;
}

/* SECTION - CARD CONTAINER */

.card-container-offers {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 20px;
  width: 100%;
  min-height: 100vh;
  background: rgb(255, 255, 255);
  overflow: hidden;
  padding: 20px 10px 5px;
}

.card-offers {
  max-width: 300px;
  aspect-ratio: 3/5;
  border-radius: 15px;
  margin: 20px;
  overflow: hidden;
  border-top: 1px solid rgba(255, 255, 255, 0.7);
  border-left: 1px solid rgba(255, 255, 255, 0.7);
  box-shadow: 0 8px 10px rgba(0, 0, 0, 0.5),
    inset 0px 2px 2px rgba(255, 255, 255, 0.2);
  cursor: grab;
}

.content-offers {
  position: relative;
  height: 100%;
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: repeat(9, 1fr);
  padding: 10px;
  background: rgba(104, 104, 104, 0.5);
  user-select: none;
}

.content-offers::before,
.content-offers::after {
  content: "";
  position: absolute;
  inset: 0;
  z-index: -1;
  border-radius: inherit;
  background: black;
  animation: rotation 8s linear infinite;
}

.content-offers::after {
  filter: blur(30px);
}

@keyframes rotation {
  0% {
    --gradient-angle: 0deg;
  }
  100% {
    --gradient-angle: 360deg;
  }
}

.content-offers img {
  aspect-ratio: 3/2;
  border-radius: 10px;
  grid-row: 1 / 5;
  margin-bottom: 20px;
  user-select: none;
  object-fit: cover;
  box-shadow: 0 3px 10px rgba(0, 0, 0, 0.5);
}

.content-offers h1 {
  font-size: 1.2rem;
  color: #fff;
  text-align: center;
  grid-row: 5 / 6;
}

.content-offers p {
  font-size: 1rem;
  font-weight: 400;
  color: #fff;
  grid-row: 6 / 9;
}

.btn-grad-offers {
  background: black;
  padding: 8px 12px;
  color: #000;
  box-shadow: 0 0 5px #eee;
  outline: 0;
  font-size: 0.9rem;
  font-weight: 400;
  grid-row: 9 / 10;
  margin: 4px auto 8px;
  cursor: pointer;
  transition: all 0.5s ease-in;
}

.control-offers {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  list-style: none;
  gap: 14px;
}

.control-offers li {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  background: black;
  box-shadow: 0 8px 20px rgba(0, 0, 0, 0.5),
    inset 0px 4px 4px rgba(255, 255, 255, 0.2);
  padding: 12px;
  border-radius: 50%;
  font-size: 1.5rem;
  color: #fff;
  cursor: pointer;
  transform: scale(1);
}

.control-offers li::before {
  position: absolute;
  content: "";
  inset: 0;
  background: linear-gradient(to right, #7C0323, #000000);
  border-radius: 50%;
  z-index: -1;
  transition: all 0.5s ease-in;
  opacity: 0;
}

.control-offers li:hover::before {
  opacity: 1;
}

@media (max-width: 1215px) {
  .btn-offers {
    font-size: 1rem;
  }
}

@media (max-width: 1015px) {
  .home-offers {
    grid-template-columns: 45% 50%;
    gap: 50px;
    padding: 140px 50px;
  }

  .btn-offers {
    padding: 8px 12px;
  }
}

@media (max-width: 865px) {
  .home-offers {
    grid-template-columns: 45% 50%;
    gap: 60px;
    padding: 130px 70px;
  }

  .users-color-container-offers {
    gap: 15px;
  }
}

@media (max-width: 815px) {
  .home-offers {
    grid-template-columns: 1fr;
    grid-template-rows: 1fr 1fr;
    grid-template-areas:
      "userscolorcontainer"
      "description";
    gap: 30px;
    padding: 90px 80px 70px;
  }

  .users-color-container-offers {
    grid-area: userscolorcontainer;
    gap: 20px;
  }

  .description-offers {
    grid-area: description;
    padding: 0;
    text-align: center;
  }

  #form-offers {
    justify-content: center;
  }
}

@media (max-width: 460px) {
  .home-offers {
    gap: 0;
    padding: 30px 40px;
  }

  #form-offers {
    flex-direction: column;
    align-items: center;
    gap: 30px;
    margin-top: 20px;
  }

  input[type="email"]:focus {
    outline-offset: 6px;
  }
}